hledger-lib-0.22: Core data types, parsers and utilities for the hledger accounting tool.

Safe Haskell | None

Hledger.Data.FormatStrings

# Documentation

parseFormatString :: String -> Either String [FormatString]Source

formatStrings :: GenParser Char st [FormatString]Source

formatValue :: Bool -> Maybe Int -> Maybe Int -> String -> String Source

data FormatString Source

Constructors

FormatLiteral String |
FormatField Bool (Maybe Int) (Maybe Int) HledgerFormatField |

Instances

Eq FormatString |
Show FormatString |

data HledgerFormatField Source

Constructors

AccountField |
DefaultDateField |
DescriptionField |
TotalField |
DepthSpacerField |
FieldNo Int |

Instances

Eq HledgerFormatField |
Show HledgerFormatField |

tests :: Test Source